.include "m88def.inc"
 
.def new	= R1
;.def rndH	= R2
.def temp	= R16
.def color	= R17
.def old	= R18
.def vert	= R19
.def gor	= R20
.def sm		= R21
.def snx	= R22

.def cntr	= R24
.def vt		= R25

.equ white	= 0b11111111
.equ green	= 0b00011100
.equ red	= 0b11100000
.equ magenta= 0b00011111
.equ yellow	= 0b11111100
.equ grid	= 0b00100101

.dseg	;Data segment
.org 0x0200

ram:	.byte 176

.cseg
.org	0x00
		rjmp start

start:	cli
 		ldi temp,LOW(RAMEND)		;Init Stack Pointer
        out spl,temp
        ldi temp,HIGH(RAMEND)
        out sph,temp

		call lcdinit

		ldi color, 0x00
		call fill

		ldi YH, 0x02
		ldi old, 0x40
		ldi sm, 0x20



		ldi color, magenta
		ldi vert, 125
		ldi gor, 0
		ldi temp, 10
		call sim

;		ldi color, 0xFF
		ldi vert, 125
		ldi gor, 1
		ldi temp, 1
		call sim

;		ldi color, 0xFF
		ldi vert, 114
		ldi gor, 0
		ldi temp, 11
		call sim

;		ldi color, 0xFF
		ldi vert, 114
		ldi gor, 1
		ldi temp, 12
		call sim

;		ldi color, 0xFF
		ldi vert, 20
		ldi gor, 0
		ldi temp, 10
		call sim

;		ldi color, 0xFF
		ldi vert, 20
		ldi gor, 1
		ldi temp, 2
		call sim

;		ldi color, 0xFF
		ldi vert, 9
		ldi gor, 0
		ldi temp, 17
		call sim

;		ldi color, 0xFF
		ldi vert, 9
		ldi gor, 1
		ldi temp, 15
		call sim

		ldi color, yellow
		ldi vert, 68
		ldi gor, 0
		ldi temp, 18
		call sim

;		ldi color, 0xFF
		ldi vert, 68
		ldi gor, 1
		ldi temp, 19
		call sim

		ldi color, green
		ldi vert, 56
		ldi gor, 0
		ldi temp, 20
		call sim

;		ldi color, 0xFF
		ldi vert, 56
		ldi gor, 1
		ldi temp, 21
		call sim

		ldi color, red
		ldi vert, 80
		ldi gor, 0
		ldi temp, 22
		call sim

;		ldi color, 0xFF
		ldi vert, 80
		ldi gor, 1
		ldi temp, 23
		call sim

loop:
		call Chngram



;0xEF90, 0x0500, 0x08X1, 0x09X2, 0x0AY1, 0x0BY2
		ldi temp, 0xEF
		call lcd_wrcmd
		ldi temp, 0x90
		call lcd_wrcmd
		ldi temp, 0x05
		call lcd_wrcmd
		ldi temp, 0x00
		call lcd_wrcmd
		ldi temp, 0x08
		call lcd_wrcmd
		ldi temp, 0		;x1
		call lcd_wrcmd
		ldi temp, 0x09
		call lcd_wrcmd
		ldi temp, 128	;x2
		call lcd_wrcmd
		ldi temp, 0x0A
		call lcd_wrcmd
		ldi temp, 0		;y1
		call lcd_wrcmd
		ldi temp, 0x0B
		call lcd_wrcmd
		ldi temp, 160	;y2
		call lcd_wrcmd

    cbi     PORTB,LCD_CS    ;select Display
    cbi     PORTC,LCD_RS    ; clear RS line


		clr YL				; gorizont 0-175
		
l8:
		clr vt

l7:		clr color
		ld new, Y
		cp old, new
		brlo l1				; goto if old < new

		cp vt, new
		brlo l2				; goto if vert < new
		ldi color, white
l2:		cp old, vt
		brsh l3
		clr color
l3:
		mov temp, vt
		andi temp, 0x0F
		brne l10
		ori color, grid
l10:	mov temp, YL
		andi temp, 0x0F
		brne l11
		ori color, grid
l11:
		out SPDR,color        ;load byte in SPI data register



		rjmp l6

l1:		cp vt, old
		brlo l4
		ldi color, white
l4:		cp new, vt
		brsh l5
		clr color
l5:
		mov temp, vt
		andi temp, 0x0F
		brne l9
		ori color, grid
l9:		mov temp, YL
		andi temp, 0x0F
		brne l12
		ori color, grid
l12:
		out SPDR,color        ;load byte in SPI data register


l6:
		inc vt
		cpi vt, 129
		brne l7
		mov old, new
		inc YL
		cpi YL, 161
		brne l8


		rjmp loop




Chngram:
		ldi     cntr, 255
wr2:	in snx, PIND
		dec cntr
;		breq wr3
		in temp, PIND
		cp snx, temp
		brlo wr2
		sub snx, temp
		cpi snx, 50
		brlo wr2





wr3:	ldi YH, 0x02
;		ldi     cntr, 176
		clr YL
;wrram:
;		ldi temp, 1
;wr1:	dec temp
;		brne wr1
;		in temp, PIND
;		lsr temp
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop
		in temp, PIND
		lsr temp	
		st Y+, temp
		nop
		nop


;		dec cntr
;		brne    wrram
		ret

sim:
		push temp
		push ZH
		push ZL
		push vert
		push gor
		push color
		push new
		push sm
		mov new, color
		ldi ZH, high(FONT<<1)
		ldi ZL, low(FONT<<1)
		lsl temp
		lsl temp
		lsl temp
		adc ZL, temp
		ldi temp, 0
		adc ZH, temp
		tst gor
		brne sim4
		ldi gor,160
		rjmp sim5
sim4:	ldi gor, 168
sim5:	ldi sm, 8	; stroki
sim3:	lpm temp, Z+
		ldi cntr, 8		; stolbcy
sim2:	sbrs temp, 07
		rjmp sim1
		mov color, new
		rcall point
		rjmp sim8
sim1:	ldi color, 0
		rcall point
sim8:	lsl temp
		inc gor
		dec cntr
		brne sim2
		dec vert
		ldi temp, 8
		sub gor, temp
		dec sm
		brne sim3
		pop sm
		pop new
		pop color
		pop gor
		pop vert
		pop ZL
		pop ZH
		pop temp
		ret

point:						; temp, vert 0 - 131, gor 0 - 175
		push temp
		ldi temp, 0xEF
    	rcall lcd_wrcmd
		ldi temp, 0x90
    	rcall lcd_wrcmd
		ldi temp, 0x05
    	rcall lcd_wrcmd
		ldi temp, 0x00
    	rcall lcd_wrcmd
		ldi temp, 0x06
    	rcall lcd_wrcmd
		mov temp, vert
    	rcall lcd_wrcmd
		ldi temp, 0x07
    	rcall lcd_wrcmd
		mov temp, gor
    	rcall lcd_wrcmd
		mov	temp, color		; color point
		rcall lcd_wrdata
		pop temp
		ret

fill:							; fill screen
		cbi     PORTB,LCD_CS	; select Display
		cbi     PORTC,LCD_RS	; clear RS line
		ldi     r31, 0xB5
		ldi     r30, 0x80
fill1:	mov temp, color			; load byte in SPI data register
		call lcd_wrdata
		sbiw    r30,1
		brne    fill1
		ret

del:	push temp
		ldi	temp, 50		; 1541*255 (~ 0.1 c by 4MHZ)
del2:	rcall delay
		dec temp
		brne del2
		pop temp
		ret

delay:	push temp
		ldi	temp, 0xFF		; 1541*255 (~ 0.1 c by 4MHZ)
delay2:	rcall delay1
		dec temp
		brne delay2
		pop temp
		ret

delay1:	push temp
		ldi  temp, 0xFF			; 6*255+11=1541 (~ 0.4 mc by 4MHZ)
delay0:	dec  temp
		nop
		nop
		nop
		brne delay0
		pop temp
		ret

lcd_wrcmd:
    cbi     PORTB,LCD_CS    ;select Display
		sbi PORTC,LCD_RS    ; set RS line
		rjmp SPI_SEND
lcd_wrdata:
    cbi     PORTB,LCD_CS    ;select Display
    cbi     PORTC,LCD_RS    ; clear RS line
SPI_SEND:   
;    sbi SPCR,SPE        ;enable SPI
    out SPDR,temp        ;load byte in SPI data register
SPI_SEND_0: 
Wait_Transmit:			; Wait for transmission complete
		in temp, SPSR
		sbrs temp, SPIF
		rjmp Wait_Transmit
    in  r0,SPDR
	sbi PORTB,LCD_CS        ;deselect Display
    ret
 
lcdinit:

.equ LCD_CS =	PORTB2	; CS
.equ LCD_RESET =PORTB1	; RESET
.equ LCD_RS =	PORTC5 	; RS
.equ LCD_MOSI =	PORTB3 	; DAT
.equ LCD_MISO =	PORTB4 	; (not used)
.equ LCD_SCK =	PORTB5	; CLK

		ldi temp,0x00		; Set PD0-PD7 as input
		out DDRD,temp
		out PORTD, temp		; Disable PD2 pool-up resistor

		cbi     PORTB,	LCD_RESET	; display reset (0)
    	sbi     DDRB,	LCD_RESET	; set reset as output
    	sbi     DDRB,	LCD_MOSI	; MOSI must be set as output for SPI (dat)
    	cbi     PORTB,	LCD_CS		; select display (0)
    	sbi     DDRB,	LCD_CS		; CS must be output for Master mode to work
    	cbi     PORTB,	LCD_SCK		; set SCK lo (CLK) (0)
    	sbi     DDRB,	LCD_SCK		; set SCK as output
    	sbi     PORTB,	LCD_MISO	; enable pull up of MISO to avoid floating input
    	sbi     PORTC,	LCD_RS		; start with RS=high (1)
    	sbi     DDRC,	LCD_RS		; RS signal is output
 
		ldi temp,(1<<MSTR) | (1<<SPE)
		out SPCR,temp
 		ldi temp,1				; double speed bit
		out SPSR,temp

		cbi PORTB, LCD_RESET	; release reset (0)
		rcall delay
		sbi PORTB, LCD_RESET	; release reset (1)
		in temp,SPSR			; clear status

    	ldi ZH, high(INIT<<1)
		ldi ZL, low(INIT<<1)
		ldi     cntr, 81			; number of bytes to be transmitted
wrtab:	lpm temp, Z+
		cpi temp, 0xFF
		brne init1
		rcall delay
		rjmp wrtab
init1:	rcall lcd_wrcmd
		dec cntr
		brne    wrtab
		ret

INIT:  ; 81 bytes
.db 0xFF, 0xFD, 0xFD, 0xFD, 0xFD, 0xFF
.db 0xEF, 0x00, 0xEE, 0x04, 0x1B, 0x04, 0xFE, 0xFE, 0xFE, 0xFE, 0xEF, 0x90, 0x4A, 0x04
.db 0x7F, 0x1F, 0xEE, 0x04, 0x43, 0x06, 0xFF, 0xFF
.db 0xEF, 0x90, 0x09, 0x83, 0x08, 0x00, 0x0B, 0xAF, 0x0A, 0x00, 0x05, 0x00, 0x06, 0x00
.db 0x07, 0x00, 0xEF, 0x00, 0xEE, 0x0C, 0xEF, 0x90, 0x00, 0x80, 0xEF, 0xB0, 0x49, 0x02 
.db 0xEF, 0x00, 0x7F, 0x01, 0xE1, 0x81, 0xE2, 0x02, 0xE2, 0x76, 0xE1, 0x83
.db 0xFF, 0xE2, 0x02, 0xE2, 0x76, 0xE1, 0x83, 0x80, 0x01, 0xFF
.db 0xEF, 0x90, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00


FONT:
.db 0x3E,0x63,0x63,0x63,0x63,0x63,0x3E,0x00 ; 0
.db 0x0C,0x1C,0x2C,0x0C,0x0C,0x0C,0x3F,0x00 ; 1
.db 0x3C,0x66,0x06,0x1C,0x30,0x66,0x7E,0x00 ; 2
.db 0x3C,0x66,0x06,0x1C,0x06,0x66,0x3C,0x00 ; 3
.db 0x0E,0x1E,0x36,0x66,0x7F,0x06,0x0F,0x00 ; 4
.db 0x7E,0x60,0x7C,0x06,0x06,0x66,0x3C,0x00 ; 5
.db 0x1C,0x30,0x60,0x7C,0x66,0x66,0x3C,0x00 ; 6
.db 0x7E,0x66,0x06,0x0C,0x18,0x18,0x18,0x00 ; 7
.db 0x3C,0x66,0x66,0x3C,0x66,0x66,0x3C,0x00 ; 8
.db 0x3C,0x66,0x66,0x3E,0x06,0x0C,0x38,0x00 ; 9
.db 0x3E,0x63,0x63,0x63,0x63,0x63,0x3E,0x01 ; 0.	10
.db 0x63,0x77,0x7F,0x7F,0x6B,0x63,0x63,0x00 ; M		11
.db 0x1E,0x33,0x60,0x60,0x60,0x33,0x1E,0x00 ; C		12
.db 0x00,0x00,0x38,0x2E,0x2A,0x2A,0x2A,0x00 ; mk_	13
.db 0x00,0x00,0x97,0xA4,0xC7,0xA1,0x97,0x00 ; _kc	14
.db 0x33,0x33,0x33,0x33,0x33,0x1E,0x0C,0x00 ; V		15
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00 ; 		16
.db 0x00,0x00,0x66,0x7F,0x7F,0x6B,0x63,0x00 ; m		17
;.db 0x00,0x30,0x55,0x55,0x55,0x75,0x57,0x00 ; Au	18
;.db 0x00,0x00,0x77,0x25,0x25,0x25,0x27,0x00 ; to	19
.db 0xFF,0xCF,0xAA,0xAA,0xAA,0x8A,0xA8,0xFF ; Au	18
.db 0xFF,0xFF,0x88,0xDA,0xDA,0xDA,0xD8,0xFF ; to	19
.db 0xFF,0xFF,0xF8,0xF0,0xE7,0xFF,0xFF,0xFF ; ~		20
.db 0xFF,0xFF,0xFF,0x73,0x07,0x8F,0xFF,0xFF ; ~		21
.db 0xFF,0xFF,0xE0,0xFE,0xFE,0xFE,0xFE,0xFF ; T		22
.db 0xFF,0xFF,0x83,0xBF,0xBF,0xBF,0x3F,0xFF ; T		23



